#include "extcode.h"
#pragma pack(push)
#pragma pack(1)

#ifdef __cplusplus
extern "C" {
#endif

/*!
 * as5172Burn
 */
uint8_t __cdecl as5172Burn(char com_port_in[], uint8_t error_in, 
	uint8_t register_0x01_in, uint8_t register_0x0C_to_0x1F_in[], 
	uint8_t *status_out, int32_t register_0x0C_to_0x1F_in_len);
/*!
 * as5172InitPsi5
 */
uint8_t __cdecl as5172InitPsi5(char com_port_in[], uint8_t error_in, 
	double vpsi5h_in, double vpsi5l_in, uint16_t baudrate_in);
/*!
 * as5172Pass2Func
 */
uint8_t __cdecl as5172Pass2Func(char com_port_in[], uint8_t error_in);
/*!
 * as5172Read
 */
uint8_t __cdecl as5172Read(char com_port_in[], uint8_t error_in, 
	uint8_t read_register_address_in, uint16_t *register_data_out);
/*!
 * as5172ReadAgcMag
 */
uint8_t __cdecl as5172ReadAgcMag(char com_port_in[], uint8_t error_in, 
	uint8_t byte_count_in, uint8_t agc_data_out[], uint8_t mag_data_out[], 
	int32_t agc_data_out_len, int32_t mag_data_out_len);
/*!
 * as5172ReadArray
 */
uint8_t __cdecl as5172ReadArray(char com_port_in[], uint8_t error_in, 
	uint8_t read_start_address_in, uint8_t byte_count_in, uint8_t data_out[], 
	int32_t data_out_len);
/*!
 * as5172ReadCordic
 */
uint8_t __cdecl as5172ReadCordic(char com_port_in[], uint8_t error_in, 
	uint8_t byte_count_in, uint16_t data_out[], int32_t data_out_len);
/*!
 * as5172Write
 */
uint8_t __cdecl as5172Write(char com_port_in[], uint8_t error_in, 
	uint8_t write_register_address_in, uint16_t write_register_data_in);
/*!
 * as5172WriteArray
 */
uint8_t __cdecl as5172WriteArray(char com_port_in[], 
	uint8_t write_start_address_in, uint8_t data_in[], uint8_t error_in, 
	int32_t data_in_len);
/*!
 * as5270Burn
 */
uint8_t __cdecl as5270Burn(char com_port_in[], uint8_t error_in, 
	uint8_t die1_otp_data_in[], uint8_t die2_otp_data_in[], 
	char die1_burn_verification_out[], char die2_burn_verification_out[], 
	int32_t die1_otp_data_in_len, int32_t die2_otp_data_in_len, 
	int32_t die1_burn_verification_out_len, 
	int32_t die2_burn_verification_out_len);
/*!
 * as5270Pass2Func
 */
uint8_t __cdecl as5270Pass2Func(char com_port_in[], uint8_t error_in);
/*!
 * as5270Read
 */
uint8_t __cdecl as5270Read(char com_port_in[], uint8_t error_in, 
	uint8_t die1_read_address_in, uint8_t die2_read_address_in, 
	uint16_t *die1_read_data_out, uint16_t *die2_read_data_out);
/*!
 * as5270ReadAgcMag
 */
uint8_t __cdecl as5270ReadAgcMag(char com_port_in[], uint8_t error_in, 
	uint8_t byte_count_in, uint8_t die1_agc_data_out[], 
	uint8_t die2_agc_data_out[], uint8_t die1_mag_data_out[], 
	uint8_t die2_mag_data_out[], int32_t die1_agc_data_out_len, 
	int32_t die2_agc_data_out_len, int32_t die1_mag_data_out_len, 
	int32_t die2_mag_data_out_len);
/*!
 * as5270ReadArray
 */
uint8_t __cdecl as5270ReadArray(char com_port_in[], uint8_t error_in, 
	uint8_t die1_read_start_address_in, uint8_t die2_read_start_address_in, 
	uint8_t byte_read_count, uint8_t die1_read_data_out[], 
	uint8_t die2_read_data_out[], int32_t die1_read_data_out_len, 
	int32_t die2_read_data_out_len);
/*!
 * as5270ReadCordic
 */
uint8_t __cdecl as5270ReadCordic(char com_port_in[], uint8_t error_in, 
	uint8_t read_count_in, uint16_t die1_cordic_data_out[], 
	uint16_t die2_cordic_data_out[], int32_t die1_cordic_data_out_len, 
	int32_t die2_cordic_data_out_len);
/*!
 * as5270WriteArray
 */
uint8_t __cdecl as5270WriteArray(char com_port_in[], uint8_t error_in, 
	uint8_t die1_write_start_address_in, uint8_t die2_write_start_address_in, 
	uint8_t die1_write_data_in[], uint8_t die2_write_data_in[], 
	int32_t die1_write_data_in_len, int32_t die2_write_data_in_len);
/*!
 * as5270Write
 */
uint8_t __cdecl as5270Write(char com_port_in[], uint8_t error_in, 
	uint8_t die1_write_address_in, uint8_t die2_write_address_in, 
	uint16_t die1_write_data_in, uint16_t die2_write_data_in);
/*!
 * uartDualInit
 */
uint8_t __cdecl uartDualInit(char com_port_in[], uint8_t error_in, 
	double vio_in, double vdd_in, uint32_t baudrate_in);
/*!
 * uprogClose
 */
uint8_t __cdecl uprogClose(char com_port_in[], uint8_t error_in);
/*!
 * uprogOpen
 */
uint8_t __cdecl uprogOpen(char com_port_in[], uint32_t baudrate_in, 
	char fw_version_out[], int32_t fw_version_out_len);
/*!
 * uprogReset
 */
uint8_t __cdecl uprogReset(char com_port_in[]);
/*!
 * as5172ReadPSI5
 */
uint8_t __cdecl as5172ReadPSI5(char com_port_in[], uint8_t error_in, 
	uint8_t datarate_in, uint8_t sync_in, uint8_t mode_in, uint16_t cycles_in, 
	uint32_t num_of_bits_out[], uint8_t *timeslot_out, uint32_t data_out[], 
	uint32_t crc_received_out[], uint32_t crc_calculated_out[], 
	int32_t num_of_bits_out_len, int32_t data_out_len, 
	int32_t crc_received_out_len, int32_t crc_calculated_out_len);
/*!
 * as5x7yBurn
 */
uint8_t __cdecl as5x7yBurn(char com_port_in[], uint8_t error_in, 
	uint8_t otp_data_in[], char burn_verification_out[], int32_t otp_data_in_len, 
	int32_t burn_verification_out_len);
/*!
 * as5x7yPass2Func
 */
uint8_t __cdecl as5x7yPass2Func(char com_port_in[], uint8_t error_in);
/*!
 * as5x7yRead
 */
uint8_t __cdecl as5x7yRead(char com_port_in[], uint8_t error_in, 
	uint8_t read_address_in, uint16_t *read_data_out);
/*!
 * as5x7yReadAgcMag
 */
uint8_t __cdecl as5x7yReadAgcMag(char com_port_in[], uint8_t error_in, 
	uint8_t read_count_in, uint8_t agc_data_out[], uint8_t mag_data_out[], 
	int32_t agc_data_out_len, int32_t mag_data_out_len);
/*!
 * as5x7yReadArray
 */
uint8_t __cdecl as5x7yReadArray(char com_port_in[], uint8_t error_in, 
	uint8_t read_start_address_in, uint8_t byte_read_count, 
	uint8_t read_data_out[], int32_t read_data_out_len);
/*!
 * as5x7yReadCordic
 */
uint8_t __cdecl as5x7yReadCordic(char com_port_in[], uint8_t error_in, 
	uint8_t read_count_in, uint16_t cordic_data_out[], 
	int32_t cordic_data_out_len);
/*!
 * as5x7yWrite
 */
uint8_t __cdecl as5x7yWrite(char com_port_in[], uint8_t error_in, 
	uint8_t write_address_in, uint16_t write_data_in);
/*!
 * as5x7yWriteArray
 */
uint8_t __cdecl as5x7yWriteArray(char com_port_in[], uint8_t error_in, 
	uint8_t write_start_address_in, uint8_t write_data_in[], 
	int32_t write_data_in_len);
/*!
 * uprogSetOvcurrLim
 */
uint8_t __cdecl uprogSetOvcurrLim(char com_port_in[], uint8_t error_in, 
	uint8_t channel_in, double ovcurr_lim_in);
/*!
 * uartInit
 */
uint8_t __cdecl uartInit(char com_port_in[], uint8_t error_in, double vio_in, 
	double vdd_in, uint32_t baudrate_in);
/*!
 * as5715AMSUnlock
 */
uint8_t __cdecl as5715AMSUnlock(uint8_t error_in, char com_port_in[]);
/*!
 * as5715Burn
 */
uint8_t __cdecl as5715Burn(char com_port_in[], uint8_t error_in, 
	uint8_t write_data_in[], uint8_t i2c_address_in, uint8_t *prog_result_out, 
	int32_t write_data_in_len);
/*!
 * as5715Pass2Func
 */
uint8_t __cdecl as5715Pass2Func(char com_port_in[], uint8_t error_in, 
	uint8_t i2c_address_in);
/*!
 * as5715Read
 */
uint8_t __cdecl as5715Read(char com_port_in[], uint8_t error_in, 
	uint8_t bytes_to_read_in, uint8_t read_address_in, uint8_t i2c_address_in, 
	uint8_t read_data_out[], int32_t len);
/*!
 * as5715Unlock
 */
uint8_t __cdecl as5715Unlock(char com_port_in[], uint8_t error_in);
/*!
 * as5715Write
 */
uint8_t __cdecl as5715Write(char com_port_in[], uint8_t error_in, 
	uint8_t write_data_in[], uint8_t write_address_in, uint8_t i2c_address_in, 
	int32_t write_data_in_len);

MgErr __cdecl LVDLLStatus(char *errStr, int errStrLen, void *module);

#ifdef __cplusplus
} // extern "C"
#endif

#pragma pack(pop)

